Subject: Re: linux-next: Tree for Apr 26

From: Michal Marek <[email-masked]>
Date: Fri, 26 Apr 2013 13:13:33 +0200

On 26.4.2013 13:08, Michal Marek wrote:
> On 26.4.2013 12:49, Sedat Dilek wrote:
>> With reverting all kbuild-next commits I was able to build again.
>>
>>       Revert "kconfig: implement KCONFIG_PROBABILITY for randconfig"
>>       Revert "kconfig: allow specifying the seed for randconfig"
>>       Revert "kconfig: fix randomising choice entries in presence of
>> KCONFIG_ALLCONFIG"
>>       Revert "kconfig: do not override symbols already set"
>>       Revert "kconfig: fix randconfig tristate detection"
> 
> I did the same, then applied all the kconfig commits once more and did a
> git bisect with this script:
> 
> #!/bin/sh
> 
> cp config-bad .config
> make silentoldconfig </dev/null
> 
> This resulted in
> 
> 7ded2624f8988bd22819a60a6000ba6b7091db89 is the first bad commit
> commit 7ded2624f8988bd22819a60a6000ba6b7091db89
> Author: Yann E. MORIN <[email-masked]>
> Date:   Sun Mar 10 16:34:10 2013 +0100
> 
>     kconfig: fix randomising choice entries in presence of KCONFIG_ALLCONFIG
> 
> The commit id is different, because it is reverted and applied again. Yann?

Commit 422c809 ("kconfig: fix randomising choice entries in presence of
KCONFIG_ALLCONFIG") reverts cleanly and reverting it fixes the bug. So
there is a plan B.

Michal